Compare commits

...

39 Commits

Author SHA1 Message Date
serinko 267429abfb edit testing script 2023-12-26 14:33:33 +01:00
serinko 5f1e2c6cf7 update gdpr info 2023-12-26 13:07:00 +01:00
serinko 1d89bc8b23 add official nymvpn faq page 2023-12-26 13:00:52 +01:00
serinko 9bd9b3f8ab Merge branch 'develop' of github_serinko:nymtech/nym into serinko/ccc-event-guide 2023-12-26 12:45:50 +01:00
serinko 2a1fdb42c9 spellcheck 2023-12-21 22:40:33 +01:00
serinko d767f76b6d add embedded video 2023-12-21 22:36:03 +01:00
serinko 8a34af0a20 describe TUN and IP flag 2023-12-21 21:53:27 +01:00
serinko ee7e0ff1d3 add clarification on test logs 2023-12-21 20:33:35 +01:00
serinko d4e0f43a05 syntax edits 2023-12-21 18:25:48 +01:00
serinko 945282c624 add releases and simple command info 2023-12-21 18:21:20 +01:00
serinko 69f6c6e36e syntax fix 2023-12-21 18:02:43 +01:00
serinko 86b8b39c03 syntax fix 2023-12-21 17:51:26 +01:00
serinko 676f2e7f48 add gui config steps 2023-12-21 17:46:46 +01:00
mfahampshire 144d15f554 grammar tweaks 2023-12-21 16:50:07 +01:00
serinko d58dfc4359 delete redundant 2023-12-21 16:04:26 +01:00
serinko 3052069e9f delete mixnet overview, replace with a link 2023-12-21 15:58:27 +01:00
serinko ce4c2d2670 rename to 37c3 to respect convention 2023-12-21 15:56:04 +01:00
serinko 0b60fed339 add clarification on testing 2023-12-21 15:48:39 +01:00
serinko 1d25cfbe33 remove reduntant message 2023-12-21 15:34:22 +01:00
serinko d7d82037a3 add warning to use two gateways 2023-12-21 15:32:23 +01:00
serinko ecfe8ab3d6 add error troubleshooting point 2023-12-21 15:29:21 +01:00
serinko fc455ff3ad edit guide flow 2023-12-21 15:23:08 +01:00
serinko 5002670916 syntax fix 2023-12-21 15:19:54 +01:00
serinko f96d0a3608 add FAQ questions 2023-12-21 15:16:12 +01:00
serinko 84888db5ee add FAQ questions 2023-12-21 15:14:15 +01:00
serinko 3a8eb40b06 add consent warning 2023-12-21 14:34:57 +01:00
serinko d3f115383d add mulwald info to args desc 2023-12-21 14:30:56 +01:00
serinko 75bf4d8017 document running flow 2023-12-21 14:28:41 +01:00
serinko 4c5606a214 add args 2023-12-21 12:48:33 +01:00
serinko 873465f9fa add run cli steps 2023-12-21 09:47:00 +01:00
serinko 75ea5afe34 add warning 2023-12-21 09:27:18 +01:00
serinko 0444094510 note add warning 2023-12-21 09:09:26 +01:00
serinko ce6a8708d0 initialise troubleshooting 2023-12-21 09:05:58 +01:00
serinko 839bc3271a add testing section 2023-12-21 08:45:13 +01:00
serinko b0668817ca add vpn install steps 2023-12-20 15:50:59 +01:00
serinko c5f534c76d restructure faq 2023-12-20 13:01:42 +01:00
serinko a1f1fd9ce7 edit flow 2023-12-20 11:55:01 +01:00
serinko dc840d3988 compose existing FAQs 2023-12-20 11:49:33 +01:00
serinko f4784c5d53 initialise ccc event pages 2023-12-19 15:57:06 +01:00
2 changed files with 39 additions and 10 deletions
@@ -4,7 +4,9 @@ Besides the FAQ for CCC 2023 event listed below, you can have a look at [Nym gen
## NymVPN
Make sure you read [NymVPV webpage](https://nymvpn.com/en) and our [guide to install, run and test](./nym-vpn.md) the client.
Make sure you read [NymVPN webpage](https://nymvpn.com/en), the official NymVPN [support & FAQ page](https://nymvpn.com/en/support) and our guide on how to [install, run and test](./nym-vpn.md) the client.
Below are some extra FAQ's which came out during the event.
### What's the difference between 2-hops and 5-hops
@@ -21,7 +21,7 @@ Users can switch to 2-hop only mode, which is a faster but less private option.
The client can optionally do the first connection to the entry gateway using Wireguard. NymVPN uses Mullvad libraries for wrapping `wireguard-go` and to setup local routing rules to route all traffic to the TUN virtual network device.
```admonish warning
NymVPN is an experimental software and it's for [testing](./nym-vpn.md#testing) purposes only. All users testing the client are expected to sign GDPR Information Sheet and Consent Form, available [here](https://opnform.com/forms/nymvpn-user-research-at-37c3-yccqko).
NymVPN is an experimental software and it's for [testing](./nym-vpn.md#testing) purposes only. All users testing the client are expected to sign GDPR Information Sheet and Consent Form (shared at the event), and follow the steps listed in the form [*NymVPN User research at 37c3*](https://opnform.com/forms/nymvpn-user-research-at-37c3-yccqko).
```
## Goals
@@ -237,7 +237,39 @@ nym-vpn-tests
```sh
#!/bin/bash
NEW_ENDPOINT="https://nymvpn.com/en/ccc/api/gateways"
ENDPOINT="https://sandbox-nym-api1.nymtech.net/api/v1/gateways/described"
json_array=()
data=$(curl -s "$ENDPOINT" | jq -c '.[] | {host: .bond.gateway.host, hostname: .self_described.host_information.hostname, identity_key: .bond.gateway.identity_key, exitGateway: .self_described.ip_packet_router.address}')
while IFS= read -r entry; do
host=$(echo "$entry" | jq -r '.host')
hostname=$(echo "$entry" | jq -r '.hostname')
identity_key=$(echo "$entry" | jq -r '.identity_key')
exit_gateway_address=$(echo "$entry" | jq -r '.exitGateway // empty')
valid_ip=$(echo "$host")
if [ -n "$exit_gateway_address" ]; then
exit_gateway="{\"address\": \"${exit_gateway_address}\"}"
else
exit_gateway="{}"
fi
if [[ $valid_ip =~ ^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$ ]]; then
country_info=$(curl -s "http://ipinfo.io/${valid_ip}/country" | tr -d '\n')
country_info_escaped=$(echo "$country_info" | tr -d '\n' | jq -aRs . | tr -d '"')
else
country_info_escaped=""
fi
json_object="{\"hostname\": \"${hostname}\", \"identityKey\": \"${identity_key}\", \"exitGateway\": ${exit_gateway}, \"location\": \"${country_info_escaped}\"}"
json_array+=("$json_object")
done < <(echo "$data")
if [ $? -ne 0 ]; then
echo "Error fetching data from endpoint"
exit 1
fi
download_file() {
local file_url=$1
@@ -261,12 +293,6 @@ if ! command -v jq &>/dev/null; then
exit 1
fi
data=$(curl -s "$NEW_ENDPOINT")
if [ $? -ne 0 ]; then
echo "Error fetching data from endpoint"
exit 1
fi
temp_log_file="temp_log.txt"
perform_tests() {
@@ -316,7 +342,7 @@ read -p "enter a gateway ID: " identity_key
read -p "enter an exit address: " exit_address
# starting nymVpn
sudo ./nym-vpn-cli -c sandbox.env --entry-gateway-id "$identity_key" --exit-router-address "$exit_address" --enable-two-hop >"$temp_log_file" 2>&1 &
sudo ./nym-vpn-cli-test -c sandbox.env --entry-gateway-id "$identity_key" --exit-router-address "$exit_address" --enable-two-hop >"$temp_log_file" 2>&1 &
timeout=15
start_time=$(date +%s)
@@ -338,6 +364,7 @@ echo "terminating nym-vpn-cli..."
pkill -f './nym-vpn-cli'
sleep 5
rm -f "$temp_log_file"
```
## Troubleshooting